GNU bug report logs - #29063
C-g not quitting minibuffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Apocalypse Mystic <apocalypsemystic@HIDDEN>; Keywords: moreinfo unreproducible; merged with #26289, #30758; dated Mon, 30 Oct 2017 02:16:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 26289 29063 30758. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29063 <at> debbugs.gnu.org:


Received: (at 29063) by debbugs.gnu.org; 4 Nov 2017 15:53:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 04 11:53:17 2017
Received: from localhost ([127.0.0.1]:50837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eB0l3-0000jl-IU
	for submit <at> debbugs.gnu.org; Sat, 04 Nov 2017 11:53:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eB0l1-0000jY-Jy
 for 29063 <at> debbugs.gnu.org; Sat, 04 Nov 2017 11:53:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eB0kr-00030I-LE
 for 29063 <at> debbugs.gnu.org; Sat, 04 Nov 2017 11:53:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46854)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eB0kr-00030E-I9; Sat, 04 Nov 2017 11:53:05 -0400
Received: from [176.228.60.248] (port=4272 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eB0kp-0002WG-PX; Sat, 04 Nov 2017 11:53:05 -0400
Date: Sat, 04 Nov 2017 17:53:00 +0200
Message-Id: <83ineqt50j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Apocalypse Mystic <apocalypsemystic@HIDDEN>
In-reply-to: <CAEE2+5C2q0GDnE4Mg3WL9FR-CGXXRUeVADy=JZTfG5Zm+XXmqw@HIDDEN>
 (message from Apocalypse Mystic on Sat, 4 Nov 2017 11:37:38 -0400)
Subject: Re: bug#29063: C-g not quitting minibuffer
References: <CAEE2+5DvnJc9anp7EPd_zo98sQ=CJNGh4oqam0YFdyOhEejt+w@HIDDEN>
 <83wp3dthvk.fsf@HIDDEN>
 <CAEE2+5CQamkUSOSmeVqea405TGxBcn+U1X1CvPEFjhYzEzYwKw@HIDDEN>
 <83375uv4oe.fsf@HIDDEN>
 <CAEE2+5C2q0GDnE4Mg3WL9FR-CGXXRUeVADy=JZTfG5Zm+XXmqw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29063
Cc: 29063 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Apocalypse Mystic <apocalypsemystic@HIDDEN>
> Date: Sat, 4 Nov 2017 11:37:38 -0400
> Cc: 29063 <at> debbugs.gnu.org
> 
> timer-idle-list
> 
> working emacs:
> ([nil 0 0 500000 t jit-lock-context-fontify nil idle 0])
> 
> broken emacs:
> ([nil 0 0 500000 t jit-lock-context-fontify nil idle 0] [nil 0 0 500000 0.5 blink-cursor-start nil idle 0])

Both are normal.

> I have also noticed that, with toggle-debug-on-quit on, just typing C-g while in the normal writing buffer will
> always send me to the debugger on only one line:
> 
> Debugger entered--Lisp error: (quit)
>   internal-timer-start-idle()
> 
> This happens in the broken emacs only, and C-g here does nothing in the working emacs. Likewise, in the
> broken emacs, while I am highlighting text with C-space, C-g will 50% of the time cancel the highlight and 50%
> of the time open the above debugger on the timer start function. In the working emacs, of course, it cancels
> the highlight 100% of the time.

I cannot reproduce either of these strange issues.  I tried on 2
different systems, with the same negative result.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29063; Package emacs. Full text available.

Message received at 29063 <at> debbugs.gnu.org:


Received: (at 29063) by debbugs.gnu.org; 4 Nov 2017 15:38:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 04 11:38:27 2017
Received: from localhost ([127.0.0.1]:50832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eB0Wh-0000Po-3Y
	for submit <at> debbugs.gnu.org; Sat, 04 Nov 2017 11:38:27 -0400
Received: from mail-wr0-f182.google.com ([209.85.128.182]:56227)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <apocalypsemystic@HIDDEN>) id 1eB0Wf-0000Pa-BY
 for 29063 <at> debbugs.gnu.org; Sat, 04 Nov 2017 11:38:25 -0400
Received: by mail-wr0-f182.google.com with SMTP id l8so4861584wre.12
 for <29063 <at> debbugs.gnu.org>; Sat, 04 Nov 2017 08:38:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=/rEEvSwh2msgDOgPWL1rt1cV14qCYESuBr9aDpjQgBg=;
 b=LNCI85YUijTHWsAT8jOxmQ7B1WHkift4y+OrrIAzuaYj6a6bbICtpZy0ka9LuoUFsn
 qA/Z4WSabY+SN5zZ04n0+HpwXrIv4M9sC+qTDaaF6OBfHgm6KaYcmQNFCnalPCs0N8QQ
 pvDBKz2zlDJamrKD65B4BNYFEtw00xZJqQQWTxMPm0K46mVS8sUnih3MhN+Bl9PGT1z/
 B72+vbVveniEvYA5Piq6NT/ynwOyiyuF/QNlYsX+vFliO8uMjwQPreqiZouZQYlbrGF7
 rJKHJgiCO+Z533rHb8cgwZqizaQi1kAJFK22iJAoZgkR3QWrubH2D5rloNr+MUvNP5Y1
 eJgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=/rEEvSwh2msgDOgPWL1rt1cV14qCYESuBr9aDpjQgBg=;
 b=aOUqOeJO/zKiX+K3Lzit1cLVM3ggbqd9yHBbAekKenPyzEnWIBRisWQFjbvgmOFG0J
 68G+sfiicF05QmpawCk5Eul0xk9Soqb6plR+TyurHfr3asArbC2NsY43wng6jGvklLcj
 RMbWc4WyLJJGvoRSv1V9wpJ9YKrTS0eLAQPdESOcGa488sRaJnavhkLPv8h3j6jywnfQ
 o+Hz9xHsudsQArjaB5m8eT8xapoeMT1voZVNkAqxRAUbXGfgv3Vt1jkbr5PBqNbJoyYv
 xqvx6ESSViKYhznar8JlTKNx+NVhjyochQbcK7w9aLHVOcF5PXaMsmzVEI1EzpGAjBuR
 ZUEA==
X-Gm-Message-State: AMCzsaXkgBXRFGxRqoKjvYREmY/9ztZzf/ZTqA0HhVW5Vg+bgEf8n5Hi
 0YUdPefFNGuXa18P2MPBGDiq8RIs7kviJ+d4fww=
X-Google-Smtp-Source: ABhQp+Q9l4lQogI1HW8xTd+KiU8iW8po56q2x9o16ZcLCzacc8E6sEViLbdrRHP/a43o7AHig6LefXDcP2eg1drgBkM=
X-Received: by 10.223.184.230 with SMTP id c35mr8309965wrg.18.1509809899435;
 Sat, 04 Nov 2017 08:38:19 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.223.151.203 with HTTP; Sat, 4 Nov 2017 08:37:38 -0700 (PDT)
In-Reply-To: <83375uv4oe.fsf@HIDDEN>
References: <CAEE2+5DvnJc9anp7EPd_zo98sQ=CJNGh4oqam0YFdyOhEejt+w@HIDDEN>
 <83wp3dthvk.fsf@HIDDEN>
 <CAEE2+5CQamkUSOSmeVqea405TGxBcn+U1X1CvPEFjhYzEzYwKw@HIDDEN>
 <83375uv4oe.fsf@HIDDEN>
From: Apocalypse Mystic <apocalypsemystic@HIDDEN>
Date: Sat, 4 Nov 2017 11:37:38 -0400
Message-ID: <CAEE2+5C2q0GDnE4Mg3WL9FR-CGXXRUeVADy=JZTfG5Zm+XXmqw@HIDDEN>
Subject: Re: bug#29063: C-g not quitting minibuffer
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="f403045fab6cbbfb3b055d2a0241"
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 29063
Cc: 29063 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

--f403045fab6cbbfb3b055d2a0241
Content-Type: text/plain; charset="UTF-8"

timer-idle-list

working emacs:
([nil 0 0 500000 t jit-lock-context-fontify nil idle 0])

broken emacs:
([nil 0 0 500000 t jit-lock-context-fontify nil idle 0] [nil 0 0 500000 0.5
blink-cursor-start nil idle 0])

Although calling cancel-timer on the timers does not fix the problem,

I have also noticed that, with toggle-debug-on-quit on, just typing C-g
while in the normal writing buffer will always send me to the debugger on
only one line:

Debugger entered--Lisp error: (quit)
  internal-timer-start-idle()

This happens in the broken emacs only, and C-g here does nothing in the
working emacs. Likewise, in the broken emacs, while I am highlighting text
with C-space, C-g will 50% of the time cancel the highlight and 50% of the
time open the above debugger on the timer start function. In the working
emacs, of course, it cancels the highlight 100% of the time.

On Sat, Nov 4, 2017 at 4:17 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

> [Please keep the bug address on the CC list.]
>
> > From: Apocalypse Mystic <apocalypsemystic@HIDDEN>
> > Date: Fri, 3 Nov 2017 21:53:28 -0400
> >
> > I just updated my other ubuntu system and it works fine, so I don't know
> that it will be easy to isolate that way.
> > The one thing I do notice that is different between the two systems is
> that when I toggle-debug-on-quit, and
> > then try to quit out of the M-x minibuffer, my broken emacs has one
> extra line in the debugger print out before
> > everything else that is missing from the working emacs:
> >
> > Debugger entered--Lisp error: (quit)
> > internal-timer-start-idle()
> > ...
> >
> > I don't really know the emacs internals or timers that well, but might
> that mean something like that my C-g's
> > are getting eaten by quitting out of a frequently restarting
> internal-timer-start-idle call? I'm not sure what calls it
> > or if that helps any. It may just be normal functioning, but maybe it
> means something to someone who knows
> > emacs better than I do. I notice it is in this description of the same
> issue:
> >
> > https://github.com/abo-abo/swiper/issues/922
> >
> > If I can provide any other information that might be helpful, just let
> me know.
>
> I guess it would be interesting to know which idle timer was
> interrupted by C-g in your case.
>

--f403045fab6cbbfb3b055d2a0241
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>timer-idle-list</div><div><br></div><div>working emac=
s:</div><div>([nil 0 0 500000 t jit-lock-context-fontify nil idle 0])</div>=
<div><br></div><div>broken emacs:</div><div>([nil 0 0 500000 t jit-lock-con=
text-fontify nil idle 0] [nil 0 0 500000 0.5 blink-cursor-start nil idle 0]=
)</div><div><br></div><div>Although calling cancel-timer on the timers does=
 not fix the problem,=C2=A0</div><div><br></div><div>I have also noticed th=
at, with toggle-debug-on-quit on, just typing C-g while in the normal writi=
ng buffer will always send me to the debugger on only one line:</div><div><=
br></div><div><div>Debugger entered--Lisp error: (quit)</div><div>=C2=A0 in=
ternal-timer-start-idle()</div></div><div><br></div><div>This happens in th=
e broken emacs only, and C-g here does nothing in the working emacs. Likewi=
se, in the broken emacs, while I am highlighting text with C-space, C-g wil=
l 50% of the time cancel the highlight and 50% of the time open the above d=
ebugger on the timer start function. In the working emacs, of course, it ca=
ncels the highlight 100% of the time.</div></div><div class=3D"gmail_extra"=
><br><div class=3D"gmail_quote">On Sat, Nov 4, 2017 at 4:17 AM, Eli Zaretsk=
ii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_blank">=
eliz@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" sty=
le=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">[Pleas=
e keep the bug address on the CC list.]<br>
<br>
&gt; From: Apocalypse Mystic &lt;<a href=3D"mailto:apocalypsemystic@HIDDEN=
om">apocalypsemystic@HIDDEN</a>&gt;<br>
&gt; Date: Fri, 3 Nov 2017 21:53:28 -0400<br>
<span class=3D"">&gt;<br>
&gt; I just updated my other ubuntu system and it works fine, so I don&#39;=
t know that it will be easy to isolate that way.<br>
&gt; The one thing I do notice that is different between the two systems is=
 that when I toggle-debug-on-quit, and<br>
&gt; then try to quit out of the M-x minibuffer, my broken emacs has one ex=
tra line in the debugger print out before<br>
&gt; everything else that is missing from the working emacs:<br>
&gt;<br>
&gt; Debugger entered--Lisp error: (quit)<br>
&gt; internal-timer-start-idle()<br>
&gt; ...<br>
&gt;<br>
&gt; I don&#39;t really know the emacs internals or timers that well, but m=
ight that mean something like that my C-g&#39;s<br>
&gt; are getting eaten by quitting out of a frequently restarting internal-=
timer-start-idle call? I&#39;m not sure what calls it<br>
&gt; or if that helps any. It may just be normal functioning, but maybe it =
means something to someone who knows<br>
&gt; emacs better than I do. I notice it is in this description of the same=
 issue:<br>
&gt;<br>
&gt; <a href=3D"https://github.com/abo-abo/swiper/issues/922" rel=3D"norefe=
rrer" target=3D"_blank">https://github.com/abo-abo/<wbr>swiper/issues/922</=
a><br>
&gt;<br>
&gt; If I can provide any other information that might be helpful, just let=
 me know.<br>
<br>
</span>I guess it would be interesting to know which idle timer was<br>
interrupted by C-g in your case.<br>
</blockquote></div><br></div>

--f403045fab6cbbfb3b055d2a0241--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29063; Package emacs. Full text available.

Message received at 29063 <at> debbugs.gnu.org:


Received: (at 29063) by debbugs.gnu.org; 4 Nov 2017 08:17:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 04 04:17:33 2017
Received: from localhost ([127.0.0.1]:50130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eAte1-0002yD-5Q
	for submit <at> debbugs.gnu.org; Sat, 04 Nov 2017 04:17:33 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eAtdz-0002y0-CF
 for 29063 <at> debbugs.gnu.org; Sat, 04 Nov 2017 04:17:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eAtdp-0001KM-A1
 for 29063 <at> debbugs.gnu.org; Sat, 04 Nov 2017 04:17:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43583)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eAtdp-0001KF-6M; Sat, 04 Nov 2017 04:17:21 -0400
Received: from [176.228.60.248] (port=2908 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eAtdn-0004hA-M0; Sat, 04 Nov 2017 04:17:20 -0400
Date: Sat, 04 Nov 2017 10:17:21 +0200
Message-Id: <83375uv4oe.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Apocalypse Mystic <apocalypsemystic@HIDDEN>
In-reply-to: <CAEE2+5CQamkUSOSmeVqea405TGxBcn+U1X1CvPEFjhYzEzYwKw@HIDDEN>
 (message from Apocalypse Mystic on Fri, 3 Nov 2017 21:53:28 -0400)
Subject: Re: bug#29063: C-g not quitting minibuffer
References: <CAEE2+5DvnJc9anp7EPd_zo98sQ=CJNGh4oqam0YFdyOhEejt+w@HIDDEN>
 <83wp3dthvk.fsf@HIDDEN>
 <CAEE2+5CQamkUSOSmeVqea405TGxBcn+U1X1CvPEFjhYzEzYwKw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29063
Cc: 29063 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[Please keep the bug address on the CC list.]

> From: Apocalypse Mystic <apocalypsemystic@HIDDEN>
> Date: Fri, 3 Nov 2017 21:53:28 -0400
> 
> I just updated my other ubuntu system and it works fine, so I don't know that it will be easy to isolate that way.
> The one thing I do notice that is different between the two systems is that when I toggle-debug-on-quit, and
> then try to quit out of the M-x minibuffer, my broken emacs has one extra line in the debugger print out before
> everything else that is missing from the working emacs:
> 
> Debugger entered--Lisp error: (quit)
> internal-timer-start-idle()
> ...
> 
> I don't really know the emacs internals or timers that well, but might that mean something like that my C-g's
> are getting eaten by quitting out of a frequently restarting internal-timer-start-idle call? I'm not sure what calls it
> or if that helps any. It may just be normal functioning, but maybe it means something to someone who knows
> emacs better than I do. I notice it is in this description of the same issue:
> 
> https://github.com/abo-abo/swiper/issues/922
> 
> If I can provide any other information that might be helpful, just let me know.

I guess it would be interesting to know which idle timer was
interrupted by C-g in your case.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29063; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Oct 2017 23:48:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 30 19:48:38 2017
Received: from localhost ([127.0.0.1]:42911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e9JnJ-0005ul-Ko
	for submit <at> debbugs.gnu.org; Mon, 30 Oct 2017 19:48:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e9JnI-0005uU-26
 for submit <at> debbugs.gnu.org; Mon, 30 Oct 2017 19:48:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e9JnC-0004yy-0Y
 for submit <at> debbugs.gnu.org; Mon, 30 Oct 2017 19:48:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39684)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1e9JnB-0004yk-TT
 for submit <at> debbugs.gnu.org; Mon, 30 Oct 2017 19:48:29 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60095)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e9JnA-000396-5o
 for bug-gnu-emacs@HIDDEN; Mon, 30 Oct 2017 19:48:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e9Jn6-0004sQ-9s
 for bug-gnu-emacs@HIDDEN; Mon, 30 Oct 2017 19:48:28 -0400
Received: from [195.159.176.226] (port=42177 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1e9Jn6-0004p8-1z
 for bug-gnu-emacs@HIDDEN; Mon, 30 Oct 2017 19:48:24 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e9Jmp-0002YO-Ly
 for bug-gnu-emacs@HIDDEN; Tue, 31 Oct 2017 00:48:07 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#29063: C-g not quitting minibuffer
Date: Mon, 30 Oct 2017 16:47:56 -0700
Lines: 19
Message-ID: <87fua0yz83.fsf@HIDDEN>
References: <CAEE2+5DvnJc9anp7EPd_zo98sQ=CJNGh4oqam0YFdyOhEejt+w@HIDDEN>
 <83wp3dthvk.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Cancel-Lock: sha1:AYJ9m76v0aJ63TqmeEsO7A8g4yk=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Apocalypse Mystic <apocalypsemystic@HIDDEN>
>> Date: Sun, 29 Oct 2017 21:55:03 -0400
>> 
>> 1) emacs -Q
>> 2) M-x
>> 3) C-g
>> 
>> "Quit" will flash in the minibuffer, but the cursor will remain trapped
>> in the minibuffer. C-] will still correctly leave the
>> minibuffer. Holding down C-g for several seconds will eventually cause
>> the cursor to correctly leave the minibuffer.
>
> Not reproducible here.

FWIW (not much), I get this from time to time. Most recently just this
afternoon, when I was happy to learn the C-] trick. I have yet to come
up with a reproducible recipe.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29063; Package emacs. Full text available.

Message received at 29063 <at> debbugs.gnu.org:


Received: (at 29063) by debbugs.gnu.org; 30 Oct 2017 03:49:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 29 23:49:30 2017
Received: from localhost ([127.0.0.1]:41180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e914s-00035K-Gr
	for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 23:49:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47775)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1e914r-000358-1s
 for 29063 <at> debbugs.gnu.org; Sun, 29 Oct 2017 23:49:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e914i-000389-OC
 for 29063 <at> debbugs.gnu.org; Sun, 29 Oct 2017 23:49:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44081)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1e914i-000382-KC; Sun, 29 Oct 2017 23:49:20 -0400
Received: from [176.228.60.248] (port=3142 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1e914i-0005Pd-1g; Sun, 29 Oct 2017 23:49:20 -0400
Date: Mon, 30 Oct 2017 05:49:19 +0200
Message-Id: <83wp3dthvk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Apocalypse Mystic <apocalypsemystic@HIDDEN>
In-reply-to: <CAEE2+5DvnJc9anp7EPd_zo98sQ=CJNGh4oqam0YFdyOhEejt+w@HIDDEN>
 (message from Apocalypse Mystic on Sun, 29 Oct 2017 21:55:03 -0400)
Subject: Re: bug#29063: C-g not quitting minibuffer
References: <CAEE2+5DvnJc9anp7EPd_zo98sQ=CJNGh4oqam0YFdyOhEejt+w@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29063
Cc: 29063 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Apocalypse Mystic <apocalypsemystic@HIDDEN>
> Date: Sun, 29 Oct 2017 21:55:03 -0400
> 
> 1) emacs -Q
> 2) M-x
> 3) C-g
> 
> "Quit" will flash in the minibuffer, but the cursor will remain trapped
> in the minibuffer. C-] will still correctly leave the
> minibuffer. Holding down C-g for several seconds will eventually cause
> the cursor to correctly leave the minibuffer.

Not reproducible here.

> This behavior began within the past week or so, possibly caused by
> Ubuntu system updates, as I did not knowingly change any meaningful
> Emacs variables or install any Emacs packages.

What did the Ubuntu system updates include?  Maybe with that
information we could do something with this issue.

> The issue is similar to those described here:
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26289

Which wasn't reproducible, either.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29063; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Oct 2017 02:15:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 29 22:15:19 2017
Received: from localhost ([127.0.0.1]:41146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8zbj-0000qk-3n
	for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 22:15:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <apocalypsemystic@HIDDEN>) id 1e8zIz-0000OB-C1
 for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 21:55:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <apocalypsemystic@HIDDEN>) id 1e8zIs-0003pU-FE
 for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 21:55:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60492)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <apocalypsemystic@HIDDEN>)
 id 1e8zIs-0003pK-BO
 for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 21:55:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51460)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <apocalypsemystic@HIDDEN>) id 1e8zIq-00055m-47
 for bug-gnu-emacs@HIDDEN; Sun, 29 Oct 2017 21:55:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <apocalypsemystic@HIDDEN>) id 1e8zIo-0003mO-9u
 for bug-gnu-emacs@HIDDEN; Sun, 29 Oct 2017 21:55:48 -0400
Received: from mail-wm0-x22d.google.com ([2a00:1450:400c:c09::22d]:52818)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <apocalypsemystic@HIDDEN>)
 id 1e8zIn-0003lT-VV
 for bug-gnu-emacs@HIDDEN; Sun, 29 Oct 2017 21:55:46 -0400
Received: by mail-wm0-x22d.google.com with SMTP id t139so13325398wmt.1
 for <bug-gnu-emacs@HIDDEN>; Sun, 29 Oct 2017 18:55:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=lkaQ0T+hSX5cDdKG2fE174+RQrFsUPbTW8/EL408rxY=;
 b=Le89KGQI3MLZef0A8nxp1feIk4bLhrA7Szqnrj6ya8rlGYdoL/jDJBSzsO3f3oUDzj
 lycbKs8dUM/8q/pvw2isDJ8/fOyNIswzopTgB6bpcksyw3CLcbjhFGkjESx/1t9U/jLY
 7c9UNeAC6WcVYPin5qSQb76YwEj5U2sFiETFPXSn1GGYfxWIQ5Bpe26nNnTMsm1QPjMw
 P9LRydgFrHnBTTetW1JOhQCKmaHwWqEOyQU/1EvSRVWdeIl63AYtoNFut2rk82oiGuk3
 RKZfbKixpdz+RhWcHN+EnaUWCch6u2O3slg6fcQfHml9Lugfy0G1s1Ijei/iphsCHNUS
 4Ycg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=lkaQ0T+hSX5cDdKG2fE174+RQrFsUPbTW8/EL408rxY=;
 b=hnyLwP/PXhzXl+3rSzk2K6/cwaOmixs/U1s/dIWEhIB6RdZi3I3Ft0HwJCjquz4+s1
 wjUWU9b/a2Adrq76iflreDH7g5fn4Csc503WkVZBHoF+gF3TTw56R2C8Rzg6UavYfgem
 MArwKkQyiMwsCxtpSAkOE+1GNt7WbhFgQ4dJDkP5p1QxxBkam4dGqn0S9EEn4xwlIDCM
 yqgS4HxCjkgAXRigNTV+2i43U5kV8QLCwGwLOlIzMWkzw6wmA/HEbdCyV8FZaIVePpBL
 ZqXvN9GO8TPfzhmKeMwYk6CZUnu5Td/Y+x4tgW9qkTRCmfFkkqVxajA53uF2nrD/9Rrx
 JONg==
X-Gm-Message-State: AMCzsaV4fldj452zKRXd28+Sif8CrQb0ukYHxUXVXPXMRXSuDt9qLWAu
 lWAIb9M5JGwqwHxdv1Zl9B52UPgJxAsFc03m2FfxnQ==
X-Google-Smtp-Source: ABhQp+QV5Q/71MqrwCFkzBQf6idttVEQns5oojSjMoanazrOSZWSYqQN4dGkKevv8Jy5Rw93sQ7Ze0KXklLYylUhcSI=
X-Received: by 10.28.178.81 with SMTP id b78mr2327177wmf.157.1509328544122;
 Sun, 29 Oct 2017 18:55:44 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.223.151.203 with HTTP; Sun, 29 Oct 2017 18:55:03 -0700 (PDT)
From: Apocalypse Mystic <apocalypsemystic@HIDDEN>
Date: Sun, 29 Oct 2017 21:55:03 -0400
Message-ID: <CAEE2+5DvnJc9anp7EPd_zo98sQ=CJNGh4oqam0YFdyOhEejt+w@HIDDEN>
Subject: C-g not quitting minibuffer
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="001a11443e36b8caa4055cb9ef38"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 29 Oct 2017 22:15:18 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11443e36b8caa4055cb9ef38
Content-Type: text/plain; charset="UTF-8"

1) emacs -Q
2) M-x
3) C-g

"Quit" will flash in the minibuffer, but the cursor will remain trapped
in the minibuffer. C-] will still correctly leave the
minibuffer. Holding down C-g for several seconds will eventually cause
the cursor to correctly leave the minibuffer.

This behavior began within the past week or so, possibly caused by
Ubuntu system updates, as I did not knowingly change any meaningful
Emacs variables or install any Emacs packages.

The issue is similar to those described here:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26289

https://emacs.stackexchange.com/questions/24260/quitting-minibufer-works-no-more-in-24-5-1

https://github.com/abo-abo/swiper/issues/922


In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2017-09-20 on lcy01-07, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11804000
System Description: Ubuntu 16.04.3 LTS

Configured using:
 `configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit [32 times]
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils help-mode easymenu time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 72492 4584)
 (symbols 48 17654 0)
 (miscs 40 36 113)
 (strings 32 9526 3990)
 (string-bytes 1 261039)
 (vectors 16 8984)
 (vector-slots 8 383739 16684)
 (floats 8 64 83)
 (intervals 56 221 4)
 (buffers 960 12)
 (heap 1024 30298 915))

--001a11443e36b8caa4055cb9ef38
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>1) emacs -Q</div><div>2) M-x</div><div>3) C-g</div><d=
iv><br></div><div>&quot;Quit&quot; will flash in the minibuffer, but the cu=
rsor will remain trapped</div><div>in the minibuffer. C-] will still correc=
tly leave the</div><div>minibuffer. Holding down C-g for several seconds wi=
ll eventually cause</div><div>the cursor to correctly leave the minibuffer.=
</div><div><br></div><div>This behavior began within the past week or so, p=
ossibly caused by</div><div>Ubuntu system updates, as I did not knowingly c=
hange any meaningful</div><div>Emacs variables or install any Emacs package=
s.</div><div><br></div><div>The issue is similar to those described here:</=
div><div><a href=3D"https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D26289">=
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D26289</a></div><div><br></d=
iv><div><a href=3D"https://emacs.stackexchange.com/questions/24260/quitting=
-minibufer-works-no-more-in-24-5-1">https://emacs.stackexchange.com/questio=
ns/24260/quitting-minibufer-works-no-more-in-24-5-1</a></div><div><br></div=
><div><a href=3D"https://github.com/abo-abo/swiper/issues/922">https://gith=
ub.com/abo-abo/swiper/issues/922</a></div><div><br></div><div><br></div><di=
v>In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)</div><div>=
=C2=A0of 2017-09-20 on lcy01-07, modified by Debian</div><div>Windowing sys=
tem distributor `The X.Org Foundation&#39;, version 11.0.11804000</div><div=
>System Description:<span style=3D"white-space:pre">	</span>Ubuntu 16.04.3 =
LTS</div><div><br></div><div>Configured using:</div><div>=C2=A0`configure -=
-build x86_64-linux-gnu --prefix=3D/usr</div><div>=C2=A0--sharedstatedir=3D=
/var/lib --libexecdir=3D/usr/lib</div><div>=C2=A0--localstatedir=3D/var/lib=
 --infodir=3D/usr/share/info</div><div>=C2=A0--mandir=3D/usr/share/man --wi=
th-pop=3Dyes</div><div>=C2=A0--enable-locallisppath=3D/etc/emacs24:/etc/ema=
cs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/=
usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp</div><div>=C2=A0-=
-build x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib</div><d=
iv>=C2=A0--libexecdir=3D/usr/lib --localstatedir=3D/var/lib</div><div>=C2=
=A0--infodir=3D/usr/share/info --mandir=3D/usr/share/man --with-pop=3Dyes</=
div><div>=C2=A0--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/=
share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emac=
s/24.5/site-lisp:/usr/share/emacs/site-lisp</div><div>=C2=A0--with-x=3Dyes =
--with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars</div><div>=C2=A0&#39;CFL=
AGS=3D-g -O2 -fstack-protector-strong -Wformat</div><div>=C2=A0-Werror=3Dfo=
rmat-security -Wall&#39; &#39;CPPFLAGS=3D-Wdate-time</div><div>=C2=A0-D_FOR=
TIFY_SOURCE=3D2&#39; &#39;LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro&#=
39;&#39;</div><div><br></div><div>Important settings:</div><div>=C2=A0 valu=
e of $LANG: en_US.UTF-8</div><div>=C2=A0 value of $XMODIFIERS: @im=3Dibus</=
div><div>=C2=A0 locale-coding-system: utf-8-unix</div><div><br></div><div>M=
ajor mode: Lisp Interaction</div><div><br></div><div>Minor modes in effect:=
</div><div>=C2=A0 tooltip-mode: t</div><div>=C2=A0 electric-indent-mode: t<=
/div><div>=C2=A0 mouse-wheel-mode: t</div><div>=C2=A0 tool-bar-mode: t</div=
><div>=C2=A0 menu-bar-mode: t</div><div>=C2=A0 file-name-shadow-mode: t</di=
v><div>=C2=A0 global-font-lock-mode: t</div><div>=C2=A0 font-lock-mode: t</=
div><div>=C2=A0 blink-cursor-mode: t</div><div>=C2=A0 auto-composition-mode=
: t</div><div>=C2=A0 auto-encryption-mode: t</div><div>=C2=A0 auto-compress=
ion-mode: t</div><div>=C2=A0 line-number-mode: t</div><div>=C2=A0 transient=
-mark-mode: t</div><div><br></div><div>Recent messages:</div><div>For infor=
mation about GNU Emacs and the GNU system, type C-h C-a.</div><div>Quit [32=
 times]</div><div>Making completion list...</div><div><br></div><div>Load-p=
ath shadows:</div><div>None found.</div><div><br></div><div>Features:</div>=
<div>(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 m=
ml</div><div>mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 maila=
bbrev</div><div>gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm=
-util</div><div>help-fns mail-prsvr mail-utils help-mode easymenu time-date=
 tooltip</div><div>electric uniquify ediff-hook vc-hooks lisp-float-type mw=
heel x-win x-dnd</div><div>tool-bar dnd fontset image regexp-opt fringe tab=
ulated-list newcomment</div><div>lisp-mode prog-mode register page menu-bar=
 rfn-eshadow timer select</div><div>scroll-bar mouse jit-lock font-lock syn=
tax facemenu font-core frame cham</div><div>georgian utf-8-lang misc-lang v=
ietnamese tibetan thai tai-viet lao</div><div>korean japanese hebrew greek =
romanian slovak czech european ethiopic</div><div>indian cyrillic chinese c=
ase-table epa-hook jka-cmpr-hook help simple</div><div>abbrev minibuffer na=
dvice loaddefs button faces cus-face macroexp files</div><div>text-properti=
es overlay sha1 md5 base64 format env code-pages mule</div><div>custom widg=
et hashtable-print-readable backquote make-network-process</div><div>dbusbi=
nd gfilenotify dynamic-setting system-font-setting</div><div>font-render-se=
tting move-toolbar gtk x-toolkit x multi-tty emacs)</div><div><br></div><di=
v>Memory information:</div><div>((conses 16 72492 4584)</div><div>=C2=A0(sy=
mbols 48 17654 0)</div><div>=C2=A0(miscs 40 36 113)</div><div>=C2=A0(string=
s 32 9526 3990)</div><div>=C2=A0(string-bytes 1 261039)</div><div>=C2=A0(ve=
ctors 16 8984)</div><div>=C2=A0(vector-slots 8 383739 16684)</div><div>=C2=
=A0(floats 8 64 83)</div><div>=C2=A0(intervals 56 221 4)</div><div>=C2=A0(b=
uffers 960 12)</div><div>=C2=A0(heap 1024 30298 915))</div><div><br></div><=
/div>

--001a11443e36b8caa4055cb9ef38--




Acknowledgement sent to Apocalypse Mystic <apocalypsemystic@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#29063; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 10 Mar 2018 03:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.